org.apache.coyote.http11

## Class Http11NioProtocol.Http11ConnectionHandler

- java.lang.Object
- - org.apache.coyote.AbstractProtocol.AbstractConnectionHandler<NioChannel,Http11NioProcessor>
  - - org.apache.coyote.http11.Http11NioProtocol.Http11ConnectionHandler

All Implemented Interfaces:
  AbstractEndpoint.Handler, NioEndpoint.Handler

Enclosing class:
  Http11NioProtocol

    protected static class Http11NioProtocol.Http11ConnectionHandler
    extends AbstractProtocol.AbstractConnectionHandler<NioChannel,Http11NioProcessor>
    implements NioEndpoint.Handler

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.tomcat.util.net.AbstractEndpoint.Handler

`AbstractEndpoint.Handler.SocketState`

### Field Summary

Fields
`protected Http11NioProtocol` `proto`

### Fields inherited from class org.apache.coyote.AbstractProtocol.AbstractConnectionHandler

`connections, global, recycledProcessors, registerCount`

### Method Summary

Methods
`Http11NioProcessor` `createProcessor()`
`protected Processor<NioChannel>` `createUpgradeProcessor(SocketWrapper<NioChannel> socket, HttpUpgradeHandler httpUpgradeProcessor)`
`protected Processor<NioChannel>` `createUpgradeProcessor(SocketWrapper<NioChannel> socket, UpgradeInbound inbound)` Deprecated. Will be removed in Tomcat 8.0.x.
`protected Log` `getLog()`
`protected AbstractProtocol` `getProtocol()`
`SSLImplementation` `getSslImplementation()`
`protected void` `initSsl(SocketWrapper<NioChannel> socket, Processor<NioChannel> processor)`
`protected void` `longPoll(SocketWrapper<NioChannel> socket, Processor<NioChannel> processor)`
`void` `release(SocketChannel socket)` Expected to be used by the Poller to release resources on socket close, errors etc.
`void` `release(SocketWrapper<NioChannel> socket)` Expected to be used by the Poller to release resources on socket close, errors etc.
`void` `release(SocketWrapper<NioChannel> socket, Processor<NioChannel> processor, boolean isSocketClosing, boolean addToPoller)` Expected to be used by the handler once the processor is no longer required.

### Methods inherited from class org.apache.coyote.AbstractProtocol.AbstractConnectionHandler

`getGlobal, process, recycle, register, unregister`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.tomcat.util.net.NioEndpoint.Handler

`process`

### Methods inherited from interface org.apache.tomcat.util.net.AbstractEndpoint.Handler

`getGlobal, recycle`

### Field Detail

#### proto

    protected Http11NioProtocol proto

### Method Detail

#### getProtocol

    protected AbstractProtocol getProtocol()

Specified by:
  `getProtocol` in class `AbstractProtocol.AbstractConnectionHandler<NioChannel,Http11NioProcessor>`

#### getLog

    protected Log getLog()

Specified by:
  `getLog` in class `AbstractProtocol.AbstractConnectionHandler<NioChannel,Http11NioProcessor>`

#### getSslImplementation

    public SSLImplementation getSslImplementation()

Specified by:
  `getSslImplementation` in interface `NioEndpoint.Handler`

#### release

    public void release(SocketChannel socket)

Expected to be used by the Poller to release resources on socket close, errors etc.

Specified by:
  `release` in interface `NioEndpoint.Handler`

#### release

    public void release(SocketWrapper<NioChannel> socket)

Expected to be used by the Poller to release resources on socket close, errors etc.

Specified by:
  `release` in interface `NioEndpoint.Handler`

#### release

    public void release(SocketWrapper<NioChannel> socket,
               Processor<NioChannel> processor,
               boolean isSocketClosing,
               boolean addToPoller)

Expected to be used by the handler once the processor is no longer required.

Specified by:
  `release` in class `AbstractProtocol.AbstractConnectionHandler<NioChannel,Http11NioProcessor>`
Parameters:
  `socket` -
  `processor` -
  `isSocketClosing` - Not used in HTTP
  `addToPoller` -

#### initSsl

    protected void initSsl(SocketWrapper<NioChannel> socket,
               Processor<NioChannel> processor)

Specified by:
  `initSsl` in class `AbstractProtocol.AbstractConnectionHandler<NioChannel,Http11NioProcessor>`

#### longPoll

    protected void longPoll(SocketWrapper<NioChannel> socket,
                Processor<NioChannel> processor)

Specified by:
  `longPoll` in class `AbstractProtocol.AbstractConnectionHandler<NioChannel,Http11NioProcessor>`

#### createProcessor

    public Http11NioProcessor createProcessor()

Specified by:
  `createProcessor` in class `AbstractProtocol.AbstractConnectionHandler<NioChannel,Http11NioProcessor>`

#### createUpgradeProcessor

    @Deprecated
    protected Processor<NioChannel> createUpgradeProcessor(SocketWrapper<NioChannel> socket,
                                                          UpgradeInbound inbound)
                                                    throws IOException

Deprecated. Will be removed in Tomcat 8.0.x.

Specified by:
  `createUpgradeProcessor` in class `AbstractProtocol.AbstractConnectionHandler<NioChannel,Http11NioProcessor>`
Throws:
  `IOException`

#### createUpgradeProcessor

    protected Processor<NioChannel> createUpgradeProcessor(SocketWrapper<NioChannel> socket,
                                               HttpUpgradeHandler httpUpgradeProcessor)
                                                    throws IOException

Specified by:
  `createUpgradeProcessor` in class `AbstractProtocol.AbstractConnectionHandler<NioChannel,Http11NioProcessor>`
Throws:
  `IOException`